import * as React from 'react';
import { ViewProps, StyleProp, ViewStyle } from 'react-native';
import Animated from 'react-native-reanimated';
import { EdgeInsets } from 'react-native-safe-area-context';
import { TransitionSpec, StackCardStyleInterpolator, GestureDirection, Layout } from '../../types';
declare type Props = ViewProps & {
    index: number;
    active: boolean;
    closing?: boolean;
    next?: Animated.Node<number>;
    current: Animated.Value<number>;
    layout: Layout;
    insets: EdgeInsets;
    gestureDirection: GestureDirection;
    onOpen: (isFinished: boolean) => void;
    onClose: (isFinished: boolean) => void;
    onTransitionStart?: (props: {
        closing: boolean;
    }) => void;
    onGestureBegin?: () => void;
    onGestureCanceled?: () => void;
    onGestureEnd?: () => void;
    children: React.ReactNode;
    overlayEnabled: boolean;
    shadowEnabled: boolean;
    gestureEnabled: boolean;
    gestureResponseDistance?: {
        vertical?: number;
        horizontal?: number;
    };
    gestureVelocityImpact: number;
    transitionSpec: {
        open: TransitionSpec;
        close: TransitionSpec;
    };
    styleInterpolator: StackCardStyleInterpolator;
    containerStyle?: StyleProp<ViewStyle>;
    contentStyle?: StyleProp<ViewStyle>;
};
export default class Card extends React.Component<Props> {
    static defaultProps: {
        overlayEnabled: boolean;
        shadowEnabled: boolean;
        gestureEnabled: boolean;
        gestureVelocityImpact: number;
    };
    componentDidUpdate(prevProps: Props): void;
    componentWillUnmount(): void;
    private isVisible;
    private nextIsVisible;
    private animationTypeOpen;
    private animationTypeClose;
    private isGestureEnabled;
    private isClosing;
    private noAnimationStartedSoFar;
    private isRunningAnimation;
    private clock;
    private direction;
    private inverted;
    private layout;
    private gestureVelocityImpact;
    private springConfigOpen;
    private springConfigClose;
    private timingConfigOpen;
    private timingConfigClose;
    private distance;
    private gesture;
    private offset;
    private velocity;
    private gestureState;
    private isSwiping;
    private isSwipeCancelled;
    private isSwipeGesture;
    private transitionConfig;
    private interactionHandle;
    private handleStartInteraction;
    private handleEndInteraction;
    private handleTransitionEnd;
    private listenerOnStart;
    private listenerOnEnd;
    private listenerOnCancel;
    private listenerOnSwipe;
    private listenerOnTransitionEnd;
    private runAnimation;
    private exec;
    private handleGestureEventHorizontal;
    private handleGestureEventVertical;
    private getInterpolatedStyle;
    private interpolatedStyle;
    private getCardAnimationContext;
    private gestureActivationCriteria;
    private gestureRef;
    render(): JSX.Element;
}
export {};
