/// <reference types="example/node_modules/react-navigation/typescript/react-navigation" />
/// <reference types="types/@react-navigation/core" />
/// <reference types="types/@react-navigation/native" />
import * as React from 'react';
import { NavigationState as StackNavigationState } from 'react-navigation';
import { Route, StackNavigationHelpers, StackNavigationConfig, StackDescriptorMap } from '../../types';
declare type Props = StackNavigationConfig & {
    state: StackNavigationState;
    navigation: StackNavigationHelpers;
    descriptors: StackDescriptorMap;
    screenProps: unknown;
};
declare type State = {
    routes: Route<string>[];
    previousRoutes: Route<string>[];
    previousDescriptors: StackDescriptorMap;
    openingRouteKeys: string[];
    closingRouteKeys: string[];
    replacingRouteKeys: string[];
    descriptors: StackDescriptorMap;
};
declare class StackView extends React.Component<Props, State> {
    static getDerivedStateFromProps(props: Readonly<Props>, state: Readonly<State>): {
        previousDescriptors: StackDescriptorMap;
        descriptors: StackDescriptorMap;
        routes?: undefined;
        previousRoutes?: undefined;
        openingRouteKeys?: undefined;
        closingRouteKeys?: undefined;
        replacingRouteKeys?: undefined;
    } | {
        routes: import("react-navigation").NavigationRoute<import("react-navigation").NavigationParams>[];
        previousRoutes: import("react-navigation").NavigationRoute<import("react-navigation").NavigationParams>[];
        previousDescriptors: StackDescriptorMap;
        openingRouteKeys: string[];
        closingRouteKeys: string[];
        replacingRouteKeys: string[];
        descriptors: StackDescriptorMap;
    } | null;
    state: State;
    private getGesturesEnabled;
    private getPreviousRoute;
    private renderScene;
    private renderHeader;
    private handleTransitionComplete;
    private handleGoBack;
    private handleOpenRoute;
    private handleCloseRoute;
    private handleTransitionStart;
    private handleTransitionEnd;
    render(): JSX.Element;
}
export default StackView;
